Bug 689815 - Review Request: perl-MooseX-Role-TraitConstructor - Wrapper for new that can accept a traits parameter
Review Request: perl-MooseX-Role-TraitConstructor - Wrapper for new that can ...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Petr Pisar
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-22 10:19 EDT by Marcela Mašláňová
Modified: 2012-01-10 06:04 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-01-10 06:04:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ppisar: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Marcela Mašláňová 2011-03-22 10:19:41 EDT
SRPM: http://mmaslano.fedorapeople.org/review/perl-MooseX-Role-TraitConstructor-0.01-1.fc14.src.rpm
SPEC: http://mmaslano.fedorapeople.org/review/perl-MooseX-Role-TraitConstructor.spec
Description:
This role allows you to easily accept a traits argument (or another name)
into your constructor, which will easily mix roles into an anonymous class
before construction, much like Moose::Meta::Attribute does.
Comment 1 Petr Pisar 2011-05-13 07:34:12 EDT
Source tar ball is original. Ok.
Summary verified from lib/MooseX/Role/TraitConstructor.pm. Ok.
License verified from lib/MooseX/Role/TraitConstructor.pm. Ok.
Description verified from lib/MooseX/Role/TraitConstructor.pm. Ok.
No XS found, noarch BuildArch is Ok.

FIX: Remove useless Requires: perl(Test::Exception)
Fix: Remove useless Requires: perl(Test::use::ok)

TODO: Remove useless %defattr and %doc macros from %files section

All tests pass. Ok.

$ rpmlint perl-MooseX-Role-TraitConstructor.spec ../SRPMS/perl-MooseX-Role-TraitConstructor-0.01-1.fc14.src.rpm ../RPMS/noarch/perl-MooseX-Role-TraitConstructor-0.01-1.fc14.noarch.rpm 
2 packages and 1 specfiles checked; 0 errors, 0 warnings.
rpmlint Ok.

$ rpm -q -lv -p ../RPMS/noarch/perl-MooseX-Role-TraitConstructor-0.01-1.fc14.noarch.rpm -rw-r--r--    1 root    root                     3121 kvě 13 11:46 /usr/share/man/man3/MooseX::Role::TraitConstructor.3pm.gz
drwxr-xr-x    2 root    root                        0 kvě 13 11:46 /usr/share/perl5/MooseX
drwxr-xr-x    2 root    root                        0 kvě 13 11:46 /usr/share/perl5/MooseX/Role
-rw-r--r--    1 root    root                     5779 dub 27  2008 /usr/share/perl5/MooseX/Role/TraitConstructor.pm
File permissions and layout Ok.

$ rpm -q --requires -p ../RPMS/noarch/perl-MooseX-Role-TraitConstructor-0.01-1.fc14.noarch.rpm |sort |uniq -c
      1 perl(constant)  
      2 perl(List::Util)  
      1 perl(:MODULE_COMPAT_5.12.3)  
      1 perl(Moose::Role)  
      1 perl(Moose) >= 0.40
      1 perl(Test::Exception)  
      1 perl(Test::use::ok)  
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
      2 rpmlib(VersionedDependencies) <= 3.0.3-1
TODO: Remove explicit Requires for auto-discovered perl(List::Util)

$ rpm -q --provides -p ../RPMS/noarch/perl-MooseX-Role-TraitConstructor-0.01-1.fc14.noarch.rpm |sort |uniq -c
      1 perl(MooseX::Role::TraitConstructor) = 0.01
      1 perl-MooseX-Role-TraitConstructor = 0.01-1.fc14
Binary provides Ok.

$ resolvedeps dist-f16 ../RPMS/noarch/perl-MooseX-Role-TraitConstructor-0.01-1.fc14.noarch.rpm 
Binary dependencies resolvable. Ok.

Package builds in F16 (http://koji.fedoraproject.org/koji/taskinfo?taskID=3069316). Ok.

Otherwise package is in line with Fedora and perl packaging guidelines.

Please correct all `FIX' issues, consider fixing `TODO' issues and provide new spec file.
Resolution: Package NOT approved.
Comment 3 Petr Pisar 2011-05-13 09:41:18 EDT
Spec file changes:

--- perl-MooseX-Role-TraitConstructor.spec	2011-03-22 15:17:00.000000000 +0100
+++ perl-MooseX-Role-TraitConstructor.spec.1	2011-05-13 15:02:14.000000000 +0200
@@ -17,10 +17,7 @@
 BuildRequires:  perl(Test::More)
 BuildRequires:  perl(Test::use::ok)
 BuildRequires:  perl(warnings)
-Requires:       perl(List::Util)
 Requires:       perl(Moose) >= 0.40
-Requires:       perl(Test::Exception)
-Requires:       perl(Test::use::ok)
 Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
 
 %{?perl_default_filter}
@@ -49,8 +46,6 @@
 make test
 
 %files
-%defattr(-,root,root,-)
-%doc 
 %{perl_vendorlib}/*
 %{_mandir}/man3/*
 

> FIX: Remove useless Requires: perl(Test::Exception)
-Requires:       perl(Test::Exception)
Ok.

> Fix: Remove useless Requires: perl(Test::use::ok)
-Requires:       perl(Test::use::ok)
Ok.

> TODO: Remove useless %defattr and %doc macros from %files section
-%defattr(-,root,root,-)
-%doc 
Ok.

> TODO: Remove explicit Requires for auto-discovered perl(List::Util)
-Requires:       perl(List::Util)
Ok.

$ rpm -q --requires -p ../RPMS/noarch/perl-MooseX-Role-TraitConstructor-0.01-1.fc14.noarch.rpm | sort | uniq -c
      1 perl(constant)  
      1 perl(List::Util)  
      1 perl(:MODULE_COMPAT_5.12.3)  
      1 perl(Moose::Role)  
      1 perl(Moose) >= 0.40
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
      2 rpmlib(VersionedDependencies) <= 3.0.3-1
Binary requires Ok.

$ resolvedeps dist-f16 ../RPMS/noarch/perl-MooseX-Role-TraitConstructor-0.01-1.fc14.noarch.rpm 
Binary dependencies resolvable. Ok.


Resolution: Package APPROVED.
Comment 4 Marcela Mašláňová 2011-08-09 07:36:28 EDT
New Package SCM Request
=======================
Package Name: perl-MooseX-Role-TraitConstructor
Short Description: Wrapper for new that can accept a traits parameter
Owners: mmaslano psabata ppisar
Branches: 
InitialCC: perl-sig
Comment 5 Gwyn Ciesla 2011-08-09 09:18:34 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.